> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Merge duplicate accounts

>  

This endpoint should only be used to merge accounts that have been identified by the user as being duplicates. The response from performing this action will be the details of the remaining account. Two accounts must be provided, both accounts must exist, and at least one account must be from a non-partner-managed member (i.e. `member_is_managed_by_user=true`). <br /> The order of the accounts in the request does not matter. MX uses internal logic to determine which account will remain and which will be merged. However, if one of the accounts is from a partner-managed member, then it will always be the account that remains.


## OpenAPI

````yaml openapi/nexus/v1.yaml PUT /accounts/merge
openapi: 3.0.0
info:
  contact:
    name: Nexus API
    url: https://www.mx.com
  version: 1.0.0
  title: Nexus API
  description: >-
    Legacy clients can use Nexus API for all their connectivity needs. If you
    are a new client refer to our Platform API. Review our [Nexus API
    Guides](/nexus) for more information.
servers:
  - url: https://int-data.moneydesktop.com/
  - url: https://data.moneydesktop.com/
security:
  - sessionToken: []
tags:
  - name: accounts
  - name: beats
  - name: budgets
  - name: categories
  - name: extended transaction history
  - name: goals
  - name: holdings
  - name: identity
  - name: insights
  - name: institutions
  - name: jobs
  - name: member credentials
  - name: members
  - name: merchants
  - name: microdeposits
  - name: monthly cash flow profile
  - name: notifications
  - name: scheduled payments
  - name: sessions
  - name: spending plan
  - name: taggings
  - name: tags
  - name: transaction rules
  - name: transactions
  - name: user
  - name: verification
paths:
  /accounts/merge:
    put:
      tags:
        - accounts
      summary: Merge duplicate accounts
      description: >-
        This endpoint should only be used to merge accounts that have been
        identified by the user as being duplicates. The response from performing
        this action will be the details of the remaining account. Two accounts
        must be provided, both accounts must exist, and at least one account
        must be from a non-partner-managed member (i.e.
        `member_is_managed_by_user=true`). <br></br> The order of the accounts
        in the request does not matter. MX uses internal logic to determine
        which account will remain and which will be merged. However, if one of
        the accounts is from a partner-managed member, then it will always be
        the account that remains.
      operationId: mergeDuplicateAccounts
      requestBody:
        required: true
        content:
          application/vnd.mx.nexus.v1+json:
            schema:
              type: object
              properties:
                accounts:
                  type: array
                  description: An array containing the two account guids to be merged.
                  items:
                    type: string
                  example:
                    - ACT-15f3a4de-cb45-d892-4480-6d05576011a8
                    - ACT-33fe5ab2-aaff-d88e-2221-66d63fbc101a
      responses:
        '200':
          description: OK
          content:
            application/vnd.mx.nexus.v1+json:
              schema:
                $ref: '#/components/schemas/AccountResponseBody'
components:
  schemas:
    AccountResponseBody:
      properties:
        account:
          $ref: '#/components/schemas/AccountResponse'
      type: object
    AccountResponse:
      properties:
        account_number:
          type: string
          example: '4921710685'
          description: The account number, as provided by our data feed.
        account_number_set_by:
          type: integer
          example: 1
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        account_number_set_by_name:
          type: string
          example: FEED
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        account_subtype:
          type: integer
          example: null
          description: The integer value of the account subtype.
        account_subtype_name:
          type: string
          example: null
          description: >-
            The account subtype  (for example, PLAN_401_K, MONEY_MARKET, or
            HOME_EQUITY).
        account_subtype_set_by:
          type: integer
          example: null
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        account_subtype_set_by_name:
          type: string
          example: null
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        account_type:
          type: integer
          example: 1
          description: The integer value of the account type.
        account_type_name:
          type: string
          example: CHECKING
          description: The account type (for example, CHECKING, SAVINGS, CREDIT_CARD).
        account_type_set_by:
          type: integer
          example: 1
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        account_type_set_by_name:
          type: string
          example: FEED
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        apr:
          type: number
          example: null
        apr_set_by:
          type: integer
          example: null
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        apr_set_by_name:
          type: string
          example: null
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        apy:
          type: number
          example: null
        apy_set_by:
          type: integer
          example: null
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        apy_set_by_name:
          type: string
          example: null
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        available_balance:
          type: integer
          example: 500000
          description: >-
            The balance that is available for use in asset accounts like
            checking and savings. `PENDING` transactions are typically taken
            into account with the available balance, but this may not always be
            the case. `available_balance` will usually be a positive value for
            all account types, determined in the same way as the `balance`
            field.
        available_balance_set_by:
          type: integer
          example: 1
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        available_balance_set_by_name:
          type: string
          example: FEED
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        available_credit:
          type: number
          example: null
          description: >-
            The amount of credit available for the account. Max length is 14,2.
            See [Number Limits](/api-reference/nexus/overview/#numbers-limits).
        available_credit_set_by:
          type: integer
          example: null
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        available_credit_set_by_name:
          type: string
          example: null
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        balance:
          type: integer
          example: 500000
          description: >-
            The current balance of the account. `PENDING` transactions are
            typically not taken into account with the current balance, but this
            may not always be the case. This is the value used for the account
            balance displayed in MX UIs. The balance will usually be a positive
            value for all account types. Asset-type accounts (`CHECKING`,
            `SAVINGS`, `INVESTMENT`) may have a negative balance if they are in
            overdraft. Debt-type accounts (`CREDIT_CARD`, `LOAN`,
            `LINE_OF_CREDIT`, `MORTGAGE`) may have a negative balance if they
            are overpaid.
        balance_set_by:
          type: integer
          example: 1
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        balance_set_by_name:
          type: string
          example: FEED
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        calculated_apr:
          type: number
          example: null
        cash_balance:
          type: number
          example: null
          description: >-
            The total cash balance for brokerage and investment accounts. Max
            length is 14,2. See [Number
            Limits](/api-reference/nexus/overview/#numbers-limits).
        cash_balance_set_by:
          type: integer
          example: null
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        cash_balance_set_by_name:
          type: string
          example: null
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        cash_surrender_value:
          type: number
          example: null
          description: >-
            The cash surrender value for the account. Applies primarily to
            insurance account types. Max length is 14,2. See [Number
            Limits](/api-reference/nexus/overview/#numbers-limits).
        cash_surrender_value_set_by:
          type: integer
          example: null
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        cash_surrender_value_set_by_name:
          type: string
          example: null
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        created_at:
          type: string
          example: '2020-09-21T19:43:44+00:00'
          description: >-
            Date and time the account was created, represented in ISO 8601
            format with timestamp (for example, 2015-04-13T12:01:23-00:00).
        credit_limit:
          type: number
          example: null
          description: The credit limit of the account.
        credit_limit_set_by:
          type: integer
          example: null
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        credit_limit_set_by_name:
          type: string
          example: null
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        currency_code:
          type: string
          example: null
          description: >-
            The currency code associated with the account (for example, USD,
            EUR).
        currency_code_set_by:
          type: integer
          example: null
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        currency_code_set_by_name:
          type: string
          example: null
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        day_payment_is_due:
          type: integer
          example: 12
          description: The day of the month the payment is due.
        day_payment_is_due_set_by:
          type: integer
          example: 1
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        day_payment_is_due_set_by_name:
          type: string
          example: FEED
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        death_benefit:
          type: integer
          example: null
          description: >-
            The death benefit amount for the account. Applies primarily to
            insurance account types.
        death_benefit_set_by:
          type: integer
          example: null
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        death_benefit_set_by_name:
          type: string
          example: null
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        external_guid:
          type: string
          example: '23445745'
        feed_account_number:
          type: string
          example: '4921710685'
          description: The account number, as provided by our data feed.
        feed_account_subtype:
          type: integer
          example: null
        feed_account_subtype_name:
          type: string
          example: null
        feed_account_type:
          type: integer
          example: 1
        feed_account_type_name:
          type: string
          example: CHECKING
        feed_apr:
          type: number
          example: null
        feed_apy:
          type: number
          example: null
        feed_available_balance:
          type: integer
          example: 500000
        feed_balance:
          type: integer
          example: 500000
        feed_cash_balance:
          type: number
          example: null
        feed_cash_surrender_value:
          type: number
          example: null
        feed_credit_limit:
          type: number
          example: null
        feed_currency_code:
          type: string
          example: null
        feed_day_payment_is_due:
          type: integer
          example: 12
        feed_death_benefit:
          type: integer
          example: null
        feed_holdings_value:
          type: number
          example: null
        feed_interest_rate:
          type: number
          example: null
        feed_is_closed:
          type: boolean
          example: null
        feed_last_payment:
          type: number
          example: null
        feed_last_payment_at:
          type: string
          example: null
        feed_loan_amount:
          type: number
          example: null
        feed_matures_on:
          type: string
          example: null
        feed_minimum_balance:
          type: number
          example: null
        feed_minimum_payment:
          type: number
          example: null
        feed_name:
          type: string
          example: Checking
          description: The name of the account, as provided by our data feed.
        feed_nickname:
          type: string
          example: null
        feed_original_balance:
          type: number
          example: null
          description: >-
            The original balance, as provided by our data feed. Max length is
            14,2. See [Number
            Limits](/api-reference/nexus/overview/#numbers-limits).
        feed_payment_due_at:
          type: string
          example: '2021-05-12T16:01:00+00:00'
          description: >-
            Date and time the payment is due at, as provided by our data feed.
            Represented in ISO 8601 format with timestamp (e.g.
            2015-04-13T12:01:23-00:00).
        feed_payoff_balance:
          type: number
          example: null
          description: >-
            The payoff balance, as provided by our data feed. Max length is
            14,2. See [Number
            Limits](/api-reference/nexus/overview/#numbers-limits).
        feed_routing_number:
          type: string
          example: null
          description: >-
            The routing number, as provided by our data feed. See routing_number
            for more information.
        feed_started_on:
          type: string
          example: null
          description: >-
            The started on date, as provided by our data feed. Represented in
            ISO 8601 format (e.g. 2011-03-28).
        feed_statement_balance:
          type: number
          example: null
          description: >-
            The account statement balance, as provided by our data feed. Max
            length is 14,2. See [Number
            Limits](/api-reference/nexus/overview/#numbers-limits).
        feed_total_account_value:
          type: number
          example: null
          description: >-
            The sum of the long and short positions, the sweep account and/or
            cash balance, and any margin debt associated with a particular
            account. This amount includes the market value of all positions held
            in the account and is reduced by any debit balance and the amount of
            short options positions that are "in the money". This may sum to a
            negative value, and it does not represent an account balance. Max
            length is 14,2. See [Number
            Limits](/api-reference/nexus/overview/#numbers-limits).
        guid:
          type: string
          example: ACT-8e6f92c8-1491-42ce-8bf6-c309e9531530
          description: Unique identifier for the account. Defined by MX.
        holdings_value:
          type: number
          example: null
          description: The value of holdings with this account.
        holdings_value_set_by:
          type: integer
          example: null
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        holdings_value_set_by_name:
          type: string
          example: null
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        institution_guid:
          type: string
          example: INS-1572a04c-912b-59bf-5841-332c7dfafaef
          description: >-
            Unique identifier for the institution the account is attached to.
            Defined by MX.
        insured_name:
          type: string
          example: null
          description: The name of the insured individual.
        interest_rate:
          type: number
          example: null
          description: >-
            Interest rate (e.g. 2.99% is passed as 2.99). Max length is 10,6.
            See [Number Limits](/api-reference/nexus/overview/#numbers-limits).
        interest_rate_set_by:
          type: integer
          example: null
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        interest_rate_set_by_name:
          type: string
          example: null
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        is_business:
          type: boolean
          example: false
        is_closed:
          type: boolean
          example: false
          description: >-
            If an account is closed, this field will be true. Otherwise, this
            field will be false.
        is_closed_set_by:
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
          type: integer
          example: 3
        is_closed_set_by_name:
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
          type: string
          example: SYSTEM
        is_hidden:
          type: boolean
          example: false
          description: >-
            If an account is hidden, this field will be true. Otherwise, this
            field will be false. All linked transactions will be hidden as well.
        is_manual:
          type: boolean
          example: false
          description: >-
            If an account was manually created, this field will be true.
            Otherwise, this field will be false.
        last_payment:
          type: number
          example: null
          description: >-
            Amount of the account's last payment. Max length is 10,2. See
            [Number Limits](/api-reference/nexus/overview/#numbers-limits).
        last_payment_at:
          type: string
          example: null
          description: >-
            Date and time the account's last payment was applied, represented in
            ISO 8601 format with timestamp (e.g. 2015-04-13T12:01:23-00:00).
        last_payment_at_set_by:
          type: integer
          example: null
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        last_payment_at_set_by_name:
          type: string
          example: null
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        last_payment_set_by:
          type: integer
          example: null
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        last_payment_set_by_name:
          type: string
          example: null
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        loan_amount:
          type: number
          example: null
          description: >-
            Amount of the loan. Max length is 14,2. See [Number
            Limits](/api-reference/nexus/overview/#numbers-limits).
        loan_amount_set_by:
          type: integer
          example: null
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        loan_amount_set_by_name:
          type: string
          example: null
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        matures_on:
          type: string
          example: null
          description: >-
            Maturity date. Represented in ISO 8601 format (for example,
            2011-03-28).
        matures_on_set_by:
          type: integer
          example: null
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        matures_on_set_by_name:
          type: string
          example: null
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        member_guid:
          description: >-
            Unique identifier for the member the account is attached to. Defined
            by MX.
          type: string
          example: MBR-84ca0882-ad6c-4f10-817f-c8c0de7424fa
        member_is_managed_by_user:
          description: >-
            If the member the account belongs to is managed by the user, this
            field will be true. Otherwise, the member is managed by the MX
            partner and this field will be false.
          type: boolean
          example: true
        metadata:
          description: Additional information a partner can store on the account.
          type: string
          example: null
        minimum_balance:
          description: >-
            The minimum balance allowed. Max length is 14,2. See [Number
            Limits](/api-reference/nexus/overview/#numbers-limits).
          type: number
          example: null
        minimum_balance_set_by:
          type: integer
          example: null
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        minimum_balance_set_by_name:
          type: string
          example: null
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        minimum_payment:
          type: number
          example: null
          description: >-
            Minimum payment amount. Max length is 10,2. See [Number
            Limits](/api-reference/nexus/overview/#numbers-limits).
        minimum_payment_set_by:
          type: integer
          example: null
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        minimum_payment_set_by_name:
          type: string
          example: null
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        name:
          type: string
          example: Checking
          description: The name of the account.
        name_set_by:
          type: integer
          example: 1
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        name_set_by_name:
          type: string
          example: FEED
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        nickname:
          type: string
          example: null
          description: >-
            The nickname is an alternate name for the account. This value is
            visible to the user and must be human-readable.
        nickname_set_by:
          type: integer
          example: null
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        nickname_set_by_name:
          type: string
          example: null
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        original_balance:
          type: number
          example: null
          description: >-
            The original balance of the account. Max length is 14,2. See [Number
            Limits](/api-reference/nexus/overview/#numbers-limits).
        original_balance_set_by:
          type: integer
          example: null
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        original_balance_set_by_name:
          type: string
          example: null
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        pay_out_amount:
          description: The payout amount for insurance accounts.
          type: string
          example: null
        payment_due_at:
          type: string
          example: '2021-05-12T16:01:00+00:00'
          description: >-
            Date and time the payment is due. Represented in ISO 8601 format
            with timestamp (e.g. 2015-04-13T12:01:23-00:00).
        payment_due_at_set_by:
          type: integer
          example: 1
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        payment_due_at_set_by_name:
          type: string
          example: FEED
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        payoff_balance:
          type: number
          example: null
          description: >-
            The payoff balance of the account. Max length is 14,2. See [Number
            Limits](/api-reference/nexus/overview/#numbers-limits).
        payoff_balance_set_by:
          type: integer
          example: null
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        payoff_balance_set_by_name:
          type: string
          example: null
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        premium_amount:
          description: The premium amount for insurance accounts.
          type: string
          example: null
        property_type:
          description: >-
            The integer value of the property type. See Property Types for more
            information.
          type: integer
          example: null
        property_type_name:
          description: >-
            The property type name (for example, REAL_ESTATE, VEHICLE). See
            Property Types for more information.
          type: string
          example: null
        revision:
          description: The revision number of this account record.
          type: integer
          example: 648
        routing_number:
          description: The routing number for the account.
          type: string
          example: null
        started_on:
          type: string
          example: null
          description: >-
            The started on date. Represented in ISO 8601 format (for example,
            2011-03-28).
        started_on_set_by:
          type: integer
          example: null
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        started_on_set_by_name:
          type: string
          example: null
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        statement_balance:
          type: number
          example: null
          description: >-
            The account statement balance. Max length is 14,2. See [Number
            Limits](/api-reference/nexus/overview/#numbers-limits).
        statement_balance_set_by:
          type: integer
          example: null
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        statement_balance_set_by_name:
          type: string
          example: null
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        total_account_value:
          type: number
          example: null
          description: >-
            The sum of the long and short positions, the sweep account and/or
            cash balance, and any margin debt associated with a particular
            account. This amount includes the market value of all positions held
            in the account and is reduced by any debit balance and the amount of
            short options positions that are "in the money". This may sum to a
            negative value, and it does not represent an account balance. Max
            length is 14,2. See [Number
            Limits](/api-reference/nexus/overview/#numbers-limits).
        total_account_value_set_by:
          type: integer
          example: null
          description: >-
            The source that set the data (1 = FEED, 2 = USER, 3 = SYSTEM). See
            Account Set By for more information.
        total_account_value_set_by_name:
          type: string
          example: null
          description: >-
            The source that set the data (FEED, USER, or SYSTEM). See Account
            Set By for more information.
        updated_at:
          type: string
          example: '2022-06-14T21:17:09+00:00'
          description: >-
            Date and time the account was last updated, represented in ISO 8601
            format with timestamp (e.g. 2015-04-13T12:01:23-00:00).
        user_guid:
          description: >-
            Unique identifier for the user the account is attached to. Defined
            by MX.
          type: string
          example: USR-11141024-90b3-1bce-cac9-c06ced52ab4c
      type: object
  securitySchemes:
    sessionToken:
      description: >
        ### MX Session Token 

        - Request an API token using the read API token endpoint in the MX SSO
        API.

        - Exchange an API token for a session token. 
          - A session token is obtained by sending a POST request to /sessions
          - The session token will be used in each request made for the user. It should be passed in an `MD-SESSION-TOKEN` HTTP header as shown below.
          - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
          - If you send a request with an expired session token you'll receive an error code of `4011`.

        ```

        curl -i https://int-data.moneydesktop.com/accounts \

        -H 'MD-SESSION-TOKEN:
        CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg'
        \

        -H 'Content-Type: application/vnd.mx.nexus.v1+json' \

        -H 'Accept: application/vnd.mx.nexus.v1+json'

        ```


        In documentation code examples, replace `<API_KEY_VALUE>` with the
        session token.
      type: apiKey
      name: MD-SESSION-TOKEN
      in: header

````